# Kite - Detailed Router

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- u
- ~

### - g -

- get() : KiteEngine , Session
- getActions() : SegmentFsm
- getAllocateds() : RoutingEvent
- getAxis() : Track , TrackElement , TrackSegment , TrackFixedSegment
- getAxisHint() : RoutingEvent
- getAxisHistory() : RoutingEvent
- getAxisMax() : RoutingPlane
- getAxisMin() : RoutingPlane
- getAxisWeight() : RoutingEvent
- getBegin() : SegmentFsm
- getBeginIndex() : Track
- getBlockageLayer() : Track , RoutingPlane
- getBlockageNet() : KiteEngine , Session
- getBottom() : RoutingPlane
- getBoundingBox() : TrackElement
- getCanonical() : TrackElement , TrackSegment
- getCanonicalInterval() : TrackElement
- getCell() : NegociateWindow
- getConfiguration() : KiteEngine , Session
- getConstraint() : SegmentFsm
- getConstraints() : RoutingEvent
- getCost() : SegmentFsm
- getCosts() : SegmentFsm
- getData() : Manipulator , SegmentFsm
- getDataNegociate() : TrackElement , TrackSegment
- getDepth() : Track , RoutingPlane
- getDirection() : TrackElement , TrackSegment , TrackFixedSegment , Track , HorizontalTrack , VerticalTrack , RoutingPlane
- getDoglegLevel() : TrackElement , TrackSegment
- getElements() : RoutingEventLoop
- getEnd() : SegmentFsm
- getEvent() : Manipulator , SegmentFsm
- getEventHistory() : NegociateWindow
- getEventLevel() : RoutingEvent
- getEventLoop() : NegociateWindow
- getEventQueue() : NegociateWindow
- getEventsLimit() : KiteEngine
- getFreedomDegree() : TrackElement , TrackSegment
- getFreeInterval() : TrackElement , TrackSegment , TrackFixedSegment , Track
- getGCells() : NegociateWindow , TrackElement , TrackSegment
- getGCellUnder() : Session
- getHistory() : SegmentFsm
- getId() : TrackElement , TrackSegment , TrackFixedSegment
- getIndex() : TrackElement , Track
- getInsertState() : RoutingEvent
- getKey() : RoutingEvent
- getKiteConfiguration() : KiteEngine
- getKiteEngine() : Track , RoutingPlane , NegociateWindow , Session
- getLayer() : TrackElement , TrackSegment , TrackFixedSegment , Track , RoutingPlane
- getLayerGauge() : RoutingPlane
- getLeftMinExtend() : DataNegociate
- getLength() : TrackElement
- getMax() : Track
- getMaxCount() : RoutingEventLoop
- getMaximalPosition() : Track
- getMaxUnderDensity() : TrackElement , TrackSegment
- getMin() : Track
- getMinimalPosition() : Track
- getMode() : RoutingEvent
- getNegociateWindow() : Session
- getNet() : DataNegociate , TrackMarker , TrackElement , TrackSegment , TrackFixedSegment
- getNext() : TrackFixedSegment , TrackElement , TrackSegment , Track
- getNextFixed() : Track
- getNextTrack() : Track
- getNth() : RoutingEventHistory
- getOccupiedInterval() : Track
- getOptimal() : SegmentFsm , RoutingEvent
- getOverlapBounds() : Track
- getOverlapCost() : Track
- getParent() : TrackElement , TrackSegment
- getPerpandicularFree() : DataNegociate
- getPerpandiculars() : TrackSegment , TrackElement , RoutingEvent
- getPosition() : VerticalTrack , Track , HorizontalTrack
- getPrevious() : TrackSegment , Track , TrackElement , TrackFixedSegment
- getPreviousTrack() : Track
- getPriority() : RoutingEvent
- getProcesseds() : RoutingEvent
- getQueue() : SegmentFsm
- getRightMinExtend() : DataNegociate
- getRipupCost() : KiteEngine
- getRipupCount() : DataNegociate
- getRipupLimit() : KiteEngine
- getRNth() : RoutingEventHistory
- getRoutingEvent() : DataNegociate
- getRoutingPlane() : Track
- getSegment() : Track , Manipulator , SegmentAction , Track , RoutingEvent
- getSize() : Track
- getSourceConstraints() : TrackElement , TrackSegment
- getSourceDogleg() : TrackSegment , TrackElement
- getSourcePosition() : Track
- getSourceU() : TrackElement , TrackMarker
- getStage() : RoutingEvent , NegociateWindow
- getState() : SegmentFsm , DataNegociate , RoutingEvent
- getStateAndRipupCount() : DataNegociate
- getStateCount() : DataNegociate
- getTargetConstraints() : TrackElement , TrackSegment
- getTargetDogleg() : TrackElement , TrackSegment
- getTargetU() : TrackMarker , TrackElement
- getTerminals() : DataNegociate
- getTerminalWeight() : Track
- getToolSuccess() : KiteEngine
- getTop() : RoutingPlane
- getTopEventLevel() : RoutingEventQueue
- getTrack() : TrackElement , SegmentFsm , DataNegociate , TrackMarker
- getTrackByIndex() : RoutingPlane
- getTrackByPosition() : RoutingPlane
- getTrackMax() : RoutingPlane
- getTrackMin() : RoutingPlane
- getTrackPosition() : RoutingPlane
- getTrackSegment() : DataNegociate
- getTracksNb() : RoutingEvent
- getTracksSize() : RoutingPlane
- getType() : SegmentAction
- getWeight() : TrackMarker
- getWiringDelta() : DataNegociate

Generated by doxygen 1.8.5 on Mon Oct 1 2018 | Return to top of page

Kite - Detailed Router | Copyright © 2008-2016 UPMC. All rights reserved